#
# spec file for package bluez (Version 4.30)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           bluez
BuildRequires:  dbus-1-devel flex
BuildRequires:  glib2-devel libnl-devel libusb-devel
BuildRequires:  alsa-devel libsndfile-devel
Url:            http://www.bluez.org
Version:        4.30
Release:        40.1
Summary:        Bluetooth Stack for Linux
Group:          Hardware/Mobile
License:        GPL v2 or later
Group:          Hardware/Mobile
AutoReqProv:    on
Source:         http://www.kernel.org/pub/linux/bluetooth/bluez-%{version}.tar.bz2
Source1:        bluetooth.init
Source2:        bluetooth-coldplug.init
Source3:        bluetooth.sysconfig
Source4:        bluetooth.sh
Source5:        org.bluez.service
Source6:        README.SUSE
Source7:        bluetooth.modprobe
Patch1:         bluez-4.20-bluetooth.rules.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Provides:       bluez-utils = 3.36
Obsoletes:      bluez-utils <= 3.36
Provides:       bluez-audio = 3.36
Obsoletes:      bluez-audio <= 3.36

%description
The Bluetooth stack for Linux.



Authors:
--------
    Marcel Holtmann <marcel@holtmann.org>
    and others, see AUTHORS

%package devel
License:        GPL v2 or later
Summary:        Files needed for BlueZ development
Group:          Development/Sources
Requires:       libbluetooth3 = %{version}

%description devel
Files needed to develop applications for the BlueZ Bluetooth protocol
stack.



Authors:
--------
    Marcel Holtmann <marcel@holtmann.org>
    and others, see AUTHORS

%package -n libbluetooth3
License:        GPL v2 or later
Summary:        Bluetooth Libraries
Group:          Hardware/Mobile
Provides:       bluez-libs = 3.36
Obsoletes:      bluez-libs <= 3.36

%description -n libbluetooth3
Bluetooth protocol stack libraries.



Authors:
--------
    Marcel Holtmann <marcel@holtmann.org>
    and others, see AUTHORS in the documentation of the "bluez" package.

%package cups
Group:          Hardware/Printing
License:        GPL v2 or later
Summary:        CUPS Driver for Bluetooth Printers
Requires:       libbluetooth3 = %{version}

%description cups
Contains the files required by CUPS for printing to Bluetooth-connected
printers.



Authors:
--------
    Marcel Holtmann <marcel@holtmann.org>
    and others, see AUTHORS in the documentation of the "bluez" package.

%package test
Group:          Development/Tools/Debuggers
License:        GPL v2 or later; X11/MIT
Summary:        Tools for testing of various Bluetooth-functions
Requires:       libbluetooth3 = %{version} python-gobject2 dbus-1-python

%description test
Contains a few tools for testing various bluetooth functions. The
BLUETOOTH trademarks are owned by Bluetooth SIG, Inc., U.S.A.



Authors:
--------
    Marcel Holtmann <marcel@holtmann.org>
    and others, see AUTHORS in the documentation of the "bluez" package.

%package alsa
Group:          Productivity/Multimedia/Sound/Utilities
License:        GPL v2 or later
Summary:        Bluetooth Sound Support
Requires:       libbluetooth3 = %{version}
Provides:       bluez-audio:%_libdir/alsa-lib/libasound_module_pcm_bluetooth.so

%description alsa
The package contains libraries for using bluetooth audio services.

The BLUETOOTH trademarks are owned by Bluetooth SIG, Inc., USA.



Authors:
--------
    Marcel Holtmann <marcel@holtmann.org>
    and others, see AUTHORS in the documentation of the "bluez" package.

%package compat
Group:          Hardware/Mobile
License:        GPL v2 or later
Summary:        Bluetooth Stack for Linux
Requires:       libbluetooth3 = %{version}

%description compat
The Bluetooth stack for Linux. This package contains older and partly
deprecated binaries that might still be needed for compatibility.



Authors:
--------
    Marcel Holtmann <marcel@holtmann.org>
    and others, see AUTHORS

%prep
%setup -q
%patch1 -p0
cp %{S:1} scripts/
cp %{S:6} .
%{?suse_update_config:%{suse_update_config -f . }}
mkdir dbus-apis
cp -a doc/*.txt dbus-apis/

%build
#autoreconf -sfi
#CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%_prefix --libdir=%_libdir --localstatedir=%_localstatedir
#make
#%build
#cd ../bluez-utils-%{version}
# autoreconf -sfi
# CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing -g" \
CFLAGS="$RPM_OPT_FLAGS -g" \
	./configure	--prefix=%{_prefix} \
			--mandir=%{_mandir} \
			--sysconfdir=%{_sysconfdir} \
			--libdir=%{_libdir} \
			--libexecdir=/lib \
			--localstatedir=/var	\
			--enable-gstreamer	\
			--enable-alsa		\
			--enable-usb		\
			--enable-netlink	\
			--enable-tools		\
			--enable-bccmd		\
			--enable-hid2hci	\
			--enable-dfutool	\
			--enable-cups		\
			--enable-test		\
			--enable-pand		\
			--enable-dund		\
			--enable-manpages	\
			--enable-configfiles	\
			--enable-initscripts	\
			--enable-pcmciarules
make %{?jobs:-j %jobs} all

%install
make DESTDIR=$RPM_BUILD_ROOT install
# bluez-test
cd test
install --mode=0755	\
	apitest		\
	list-devices	\
	test-adapter	\
	test-device	\
	test-discovery	\
	test-manager	\
	test-serial	\
	test-service	\
	test-telephony	\
	$RPM_BUILD_ROOT/%{_bindir}/
cd ..
rm -v $RPM_BUILD_ROOT/%{_libdir}/bluetooth/plugins/*.la $RPM_BUILD_ROOT/%{_libdir}/libbluetooth.la
rm -rvf $RPM_BUILD_ROOT/%{_libdir}/gstreamer-*
rm -v $RPM_BUILD_ROOT/%{_libdir}/alsa-lib/*.la
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/udev/rules.d
mv -v $RPM_BUILD_ROOT/%{_sysconfdir}/udev/bluetooth.rules $RPM_BUILD_ROOT/%{_sysconfdir}/udev/rules.d/40-bluetooth.rules
install --mode=0755 -D %{S:2} $RPM_BUILD_ROOT/%{_sysconfdir}/init.d/bluetooth-coldplug
install --mode=0644 -D %{S:3} $RPM_BUILD_ROOT/var/adm/fillup-templates/sysconfig.bluetooth
install --mode=0755 -D %{S:4} $RPM_BUILD_ROOT/lib/udev/bluetooth.sh
install --mode=0644 -D %{S:5} $RPM_BUILD_ROOT/usr/share/dbus-1/system-services/org.bluez.service
install --mode=0644 -D %{S:7} $RPM_BUILD_ROOT/%{_sysconfdir}/modprobe.d/bluetooth
ln -s ../../etc/init.d/bluetooth $RPM_BUILD_ROOT/usr/sbin/rcbluetooth

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{fillup_only -n bluetooth}
/sbin/insserv -f /etc/init.d/bluetooth-coldplug

%preun
%stop_on_removal bluetooth

%postun
%{insserv_cleanup}

%post -n libbluetooth3 -p /sbin/ldconfig

%postun -n libbluetooth3 -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README README.SUSE dbus-apis
/etc/init.d/bluetooth
/etc/init.d/bluetooth-coldplug
%{_bindir}/hcitool
%{_bindir}/l2ping
%{_bindir}/rfcomm
%{_bindir}/sdptool
%{_bindir}/ciptool
%{_bindir}/dfutool
%{_sbindir}/hciattach
%{_sbindir}/hciconfig
%{_sbindir}/bluetoothd
%{_sbindir}/hid2hci
%{_sbindir}/rcbluetooth
%{_sbindir}/bccmd
%dir %{_sysconfdir}/udev
%dir /lib/udev
/lib/udev/*
%dir %{_libdir}/bluetooth
%dir %{_libdir}/bluetooth/plugins
%{_libdir}/bluetooth/plugins/audio.so
%{_libdir}/bluetooth/plugins/input.so
%{_libdir}/bluetooth/plugins/hal.so
%{_libdir}/bluetooth/plugins/netlink.so
%{_libdir}/bluetooth/plugins/network.so
%{_libdir}/bluetooth/plugins/serial.so
%{_libdir}/bluetooth/plugins/service.so
%doc %{_mandir}/man8/hciattach.8.gz
%doc %{_mandir}/man8/hciconfig.8.gz
#%doc %{_mandir}/man5/hcid.conf.5.gz
%doc %{_mandir}/man8/bluetoothd.8.gz
%doc %{_mandir}/man8/hid2hci.8.gz
%doc %{_mandir}/man8/bccmd.8.gz
%doc %{_mandir}/man1/hcitool.1.gz
%doc %{_mandir}/man1/sdptool.1.gz
%doc %{_mandir}/man1/ciptool.1.gz
%doc %{_mandir}/man1/rfcomm.1.gz
%doc %{_mandir}/man1/l2ping.1.gz
%doc %{_mandir}/man1/dfutool.1.gz
%dir %{_sysconfdir}/bluetooth
%config(noreplace) %{_sysconfdir}/bluetooth/main.conf
%config(noreplace) %{_sysconfdir}/bluetooth/rfcomm.conf
%config %{_sysconfdir}/default/bluetooth
/var/adm/fillup-templates/sysconfig.bluetooth
%config %{_sysconfdir}/udev/rules.d
%config %{_sysconfdir}/dbus-1/system.d/bluetooth.conf
%config /usr/share/dbus-1/system-services/org.bluez.service
#%doc %{_defaultdocdir}/bluez-utils/
%dir /var/lib/bluetooth
%dir %{_sysconfdir}/modprobe.d
%config(noreplace) %{_sysconfdir}/modprobe.d/bluetooth

%files devel
%defattr(-, root, root)
/usr/include/bluetooth
%{_libdir}/libbluetooth.so
%{_libdir}/pkgconfig/bluez.pc
#%{_datadir}/aclocal/bluez.m4

%files -n libbluetooth3
%defattr(-, root, root)
%{_libdir}/libbluetooth.so.*
%doc AUTHORS COPYING INSTALL ChangeLog README

%files cups
%defattr(-,root,root)
%dir %{_libdir}/cups
%dir %{_libdir}/cups/backend
%{_libdir}/cups/backend/bluetooth
#%doc %{_defaultdocdir}/bluez-cups

%files test
%defattr(-,root,root)
%{_sbindir}/hciemu
%{_bindir}/l2test
%{_bindir}/rctest
%{_bindir}/apitest
%{_bindir}/list-devices
%{_bindir}/test-adapter
%{_bindir}/test-device
%{_bindir}/test-discovery
%{_bindir}/test-manager
%{_bindir}/test-serial
%{_bindir}/test-service
%{_bindir}/test-telephony
#%{_bindir}/hsmicro
#%{_bindir}/hsplay
#%{_bindir}/hstest
#%{_bindir}/attest
#%{_bindir}/passkey-agent
#%{_bindir}/auth-agent
#%doc %{_defaultdocdir}/bluez-test

%files alsa
%defattr(-,root,root)
%{_libdir}/alsa-lib/*.so

%files compat
%defattr(-,root,root)
%{_bindir}/dund
%{_bindir}/pand
%doc %{_mandir}/man1/pand.1.gz
%doc %{_mandir}/man1/dund.1.gz

%changelog
* Fri Feb 13 2009 seife@suse.de
- update to bluez-4.30:
  - Add CID field to L2CAP socket address structure.
  - Fix reset of authentication requirements after bonding.
  - Fix storing of link keys when using dedicated bonding.
  - Fix storing of pre-Bluetooth 2.1 link keys.
  - Fix resetting trust settings on every reboot.
  - Fix handling of local name changes.
  - Fix memory leaks in hciconfig and hcitool
* Sun Feb  8 2009 seife@suse.de
- update to bluez-4.29:
  - Use AVRCP version 1.0 for now.
  - Decrease AVDTP idle timeout to one second.
  - Delay AVRCP connection when remote device connects A2DP.
  - Add workaround for AVDTP stream setup with broken headsets.
  - Add missing three-way calling feature bit for Handsfree.
  - Fix handsfree callheld indicator updating.
  - Fix parsing of all AT commands within the buffer.
  - Fix authentication replies when disconnected.
  - Fix handling of debug combination keys.
  - Fix handling of changed combination keys.
  - Fix handling of link keys when using no bonding.
  - Fix handling of invalid/unknown authentication requirements.
  - Fix closing of L2CAP raw socket used for dedicated bonding.
* Thu Feb  5 2009 seife@suse.de
- update to bluez-4.28:
  - Add AVDTP signal fragmentation support.
  - Add more SBC performance optimizations.
  - Add more SBC audio quality improvements.
  - Use native byte order for audio plugins.
  - Set the adapter alias only after checking the EIR data.
  - Fix auto-disconnect issue with explicit A2DP connections.
  - Fix invalid memory access of ALSA plugin.
  - Fix compilation with -Wsign-compare.
- The ALSA plugin now contains a fix to avoid invalid memory
  access. This might break some audio players that make
  assumptions on some ALSA API calls that are ambigue. Please
  report any problems you might encounter.
* Fri Jan 23 2009 coolo@suse.de
- init script should work with strict /bin/sh too
* Sun Jan 18 2009 seife@suse.de
- update to bluez-4.27:
  "This release contains multiple fixes for the Simple Pairing support and
  newer kernel versions. It highly improves the interoperability and the
  security handling with Bluetooth 2.1 based devices."
  - Add more SBC optimization (MMX and ARM NEON).
  - Add BT_SECURITY and BT_DEFER_SETUP definitions.
  - Add support for deferred connection setup.
  - Add support for fragmentation of data packets.
  - Add option to trigger dedicated bonding.
  - Follow MITM requirements from remote device.
  - Require MITM for dedicated bonding if capabilities allow it.
  - Fix IO capabilities for non-pairing and pairing cases.
  - Fix no-bonding connections in non-bondable mode.
  - Fix new pairing detection with SSP.
  - Fix bonding with pre-2.1 devices and newer kernels.
  - Fix LIAC setting while toggling Pairable property.
  - Fix device creation for incoming security mode 3 connects.
  - Fix crash within A2DP with bogus pointer.
  - Fix issue with sdp_copy_record() function.
  - Fix crash with extract_des() if sdp_uuid_extract() fails.
* Thu Jan 15 2009 seife@suse.de
- update to bluez-4.26:
  - Use of constant shift in SBC quantization code.
  - Add possibility to analyze 4 blocks at once in encoder.
  - Fix correct handling of frame sizes in the encoder.
  - Fix for big endian problems in SBC codec.
  - Fix audio client socket to always be non-blocking.
  - Update telephony support for Maemo.
- version 4.25:
  - Fix receiving data over the audio control socket.
  - Fix subbands selection for joint-stereo in SBC encoder.
  - Add new SBC analysis filter function.
- version 4.24:
  - Fix signal emissions when removing adapters.
  - Fix missing adapter signals on exit.
  - Add support for bringing adapters down on exit.
  - Add support for RememberPowered option.
  - Add support for verbose compiler warnings.
  - Add more options to SBC encoder.
- version 4.23:
  - Update audio IPC for better codec handling.
  - Fix bitstream optimization for SBC encoder.
  - Fix length header values of IPC messages.
  - Fix multiple coding style violations.
  - Fix FindDevice to handle temporary devices.
  - Add configuration option for DeviceID.
  - Add support for InitiallyPowered option.
  - Add missing signals for manager properties.
  - Add telephony support for Maemo.
* Tue Jan 13 2009 seife@suse.de
- fix the modprobe.d config syntax (bnc#465643)
* Thu Jan  8 2009 seife@suse.de
- add a modprobe.d config, setting reset=1 for btusb (bnc#461369)
* Sun Dec  7 2008 seife@suse.de
- update to bluez-4.22:
  - Add deny statements to D-Bus access policy.
  - Add support for LegacyPairing property.
  - Add support for global properties.
  - Add more commands to telephony testing script.
  - Add sender checks for serial and network interfaces.
  - Remove deprecated methods and signals from input interface.
  - Remove deprecated methods and signals from network interface.
  - Remove OffMode option and always use device down.
* Mon Dec  1 2008 seife@suse.de
- update to bluez-4.21:
  - Fix adapter initialization logic.
  - Fix adapter setup and start security manager early.
  - Fix usage issue with first_init variable.
* Mon Dec  1 2008 seife@suse.de
- update to bluez-4.20:
  - Cleanup session handling.
  - Cleanup mode setting handling, removed deprecated RequestMode,
    ReleaseMode and Mode methods.
  - Fix issue with concurrent audio clients.
  - Fix issue with HFP/HSP suspending.
  - Fix AT result code syntax handling.
  - Add Handsfree support for AT+NREC.
  - Add PairableTimeout adapter property.
- refresh pcmciarules patch
* Sun Nov 23 2008 seife@suse.de
- update to bluez-4.19:
  - Fix D-Bus signal emmissions for CreateDevice.
  - Fix issues with UUID probing.
  - Fix +BSRF syntax issue.
  - Add Pairable adapter property.
  - Add sdp_copy_record() library function.
* Tue Nov 11 2008 seife@suse.de
- add bluez-compat package, containing pand and dund (bnc#435591)
* Mon Nov 10 2008 seife@suse.de
- add DBus API documentation files to the bluez package
* Sun Nov  9 2008 seife@suse.de
- update to bluez-4.18:
  - Fix release before close issue with RFCOMM TTYs.
  - Fix Connected property on input interface.
  - Fix DeviceFound signals during initial name resolving.
  - Fix service discovery handling.
  - Fix duplicate UUID detection.
  - Fix SBC gain mismatch and decoding handling.
  - Add more options to SBC encoder and decoder.
  - Add special any adapter object for service interface.
  - Add variable prefix to adapter and device object paths.
* Mon Nov  3 2008 seife@suse.de
- fix START_SERVICES=no and wrong "Default:"-comment (bnc#435489)
* Mon Oct 27 2008 seife@suse.de
- update to bluez-4.17:
  - Fix SBC encoder not writing last frame.
  - Fix missing timer for A2DP suspend.
  - Add more supported devices to hid2hci utility.
  - Add additional functionality to Handsfree support.
* Wed Oct 22 2008 seife@suse.de
- update to bluez-4.16:
  "This release fixes two potential crashes within bluetoothd.
  It is strongly advised to upgrade to this version."
  - Fix wrong parameter usage of watch callbacks.
  - Fix parameters for callback upon path removal.
  - Fix unloading of adapter drivers.
  ver 4.15:
  - Fix various A2DP state machine issues.
  - Fix some issues with the Handsfree error reporting.
  - Fix format string warnings with recent GCC versions.
  - Remove dependency on GModule.
* Sat Oct 18 2008 seife@suse.de
- update to bluez-4.14:
  - Fix types of property arrays.
  - Fix potential crash with input devices.
  - Fix PS3 BD remote input event generation.
  - Allow dynamic adapter driver registration.
  - Update udev rules.
* Tue Oct 14 2008 seife@suse.de
- split up bluez and bluez-gstreamer to avoid circular dependencies
* Mon Oct 13 2008 seife@suse.de
- update to bluez-4.13:
  - Fix service discovery and UUID handling.
  - Fix bonding issues with Simple Pairing.
  - Fix file descriptor misuse of SCO connections.
  - Fix various memory leaks in the device handling.
  - Fix AVCTP disconnect handling.
  - Fix GStreamer modes for MP3 encoding.
  - Add operator selection to Handsfree support.
* Mon Oct  6 2008 seife@suse.de
- update to bluez-4.12:
  - Fix crash with missing icon value.
  - Fix error checks of HAL plugin.
  - Fix SCO server socket cleanup on exit.
  - Fix memory leaks from DBusPendingCall.
  - Fix handling of pending authorization requests.
  - Fix missing protocol UUIDs in record pattern.
* Sun Oct  5 2008 seife@suse.de
- update to bluez-4.11:
  - Change SCO server socket into a generic one. Should fix
    connection issues with headsets.
  - Fix uninitialized reply of multiple GetProperties methods.
* Sat Oct  4 2008 seife@suse.de
- update to bluez-4.10:
  - Fix memory leaks with HAL messages.
  - Add more advanced handsfree features.
  - Add properties to audio, input and network interfaces.
  - Stop device discovery timer on device removal.
* Mon Sep 29 2008 seife@suse.de
- update to bluez-4.9:
  - Fix signals for Powered and Discoverable properties.
  - Fix handling of Alias and Icon properties.
  - Fix duplicate entries for service UUIDs.
  Mon Sep2y 09:36:31 CEST 2008 - seife@suse.de
- update to bluez-4.8:
  - fix two bluetoothd crashes during device pairing
  - reenable HAL plugin, no need for libhal anymore
  - hciconfig and hcitool now show all extended features pages
    (important because page 1 indicates simple pairing support)
* Sat Sep 27 2008 seife@suse.de
- fix a crash when e.g. connecting a new input device
* Fri Sep 26 2008 seife@suse.de
- update to bluez-4.7:
  - Fix pairing and service discovery logic.
  - Fix crashes during suspend and resume.
  - Fix race condition within devdown mode.
  - Add RequestSession and ReleaseSession methods.
  - Add Powered and Discoverable properties.
  - Add Devices property and deprecate ListDevices.
  - Add workaround for a broken carkit from Nokia.
- removed bluez-4.6-fix-bluetoothd-crash-after-suspend.diff
* Thu Sep 25 2008 seife@suse.de
- fix a bluetoothd crash after resume
* Tue Sep 23 2008 seife@suse.de
- use /dev/shm instead of /var/run for the coldplug-marker, since
  /var/run is cleaned up later in the boot process
* Tue Sep 23 2008 seife@suse.de
- add more useful stuff to bluez-test
- add dbus-activation of bluetoothd
- use dbus-activation to start on adapter hotplug event
- add bluetooth-coldplug init script to make sure that bluetoothd
  is started when adapter is plugged in before DBus is started
- add "Provides: bluez-utils" to bluez, to help the solver
* Wed Sep 17 2008 dmueller@suse.de
- add missing splitprovides
- fix bluez-utils rename
- remove bogus bluez provide
* Mon Sep 15 2008 seife@suse.de
- update to bluez-4.6:
  * add a smooth upgrade path of configured input devices from
    BlueZ 3.x to the 4.x series
  * fix a couple of regressions with the adapter initialization and
    the input service
  Detailed changelog:
  version 4.6:
  * Fix Device ID record handling.
  * Fix service browsing and storage.
  * Fix authentication and encryption for input devices.
  * Fix adapter name initialization.
  version 4.5:
  * Fix initialization issue with new adapters.
  * Send HID authentication request without blocking.
  * Hide the verbose SDP debug behind SDP_DEBUG.
  * Add extra UUIDs for service discovery.
  * Add SCO server socket listener.
  * Add authorization support to service plugin.
* Mon Sep 15 2008 dmueller@suse.de
- fix devel package requires
* Tue Sep  9 2008 seife@suse.de
- initial checkin of BlueZ 4
